Distribution:	CCux
Packager:  	Christian Wasem <wasem@ccux-linux.de>

Summary:   	A video stream processing utility
Name:      	transcode
Version:   	1.1.0cvs
Release:   	6
License: 	GNU/GPL
URL:		http://www.transcoding.org
Group:     	Video          
Source0: 	%{name}-cvs-2008-01-03.tar.gz
Patch1: 	%{name}-1.1.0-1-audio-workaround.patch
Patch2: 	%{name}-1.0.2-2-archimedisheader.patch
Patch3: 	%{name}-1.0.2-2-mpegstreams.patch
Patch4:		%{name}-with-x11.patch
Patch5:		transcode-imagemagick.patch
Patch6:		transcode-ffmpegincludes.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires: 	liba52-devel lame-devel libogg-devel libvorbis-devel libdvdread-devel nasm >= 0.9.34
BuildRequires: 	xvidcore-devel mjpegtools-devel libmpeg3-devel libfame-devel ffmpeg-devel libtheora-1.0-devel
BuildRequires:	SDL-devel libdv-devel libjpeg-devel libmpeg2-devel avifile-devel lcms lcms-devel DirectFB-devel
BuildRequires:	jpeg-mmx-devel libX11-devel libXext-devel gtk+-devel libglib-devel
BuildRequires:	libquicktime-devel lzo-devel x264-devel faac-devel sysfsutils-devel
BuildRequires:	libXv-devel libXpm-devel libXi-devel libXaw-devel ImageMagick-devel

%description
transcode is a text-console video stream processing
tool. Decoding and encoding is done by loading shared library modules
that are responsible for feeding transcode with raw RGB/PCM streams 
(import module) and encoding the frames (export module). It supports
elementary video and audio frame transformations.
Some example modules are included to enable import
of MPEG program streams (VOB), Digital Video (DV), or YUV video 
and export modules for writing DivX;-), OpenDivX, or uncompressed AVI files. 
A set of tools is available to extract and decode the sources into 
raw video/audio streams for import and to enable post-processing of AVI files.
For more details see: http://www.transcoding.org

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name} -q
%patch1 
%patch2 
%patch3 
%patch4
%patch5 -p1
%patch6 -p1

%build
export LDFLAGS="-L/usr/X11R6/lib"
autoreconf -i -f
./configure --prefix=%_prefix --mandir=%_mandir \
	--enable-alsa \
	--enable-avifile \
	--with-avifile-mods \
	--enable-freetype2 \
	--enable-lame \
	--enable-ogg \
	--enable-vorbis \
	--enable-libdvdread \
	--enable-libdv \
	--enable-a52 \
	--enable-libmpeg3 \
	--enable-libxml2 \
	--enable-mjpegtools \
	--enable-sdl \
	--enable-libfame \
	--enable-libjpeg \
	--with-libjpeg-mods \
	--enable-gtk \
	--with-x \
	--enable-libjpegmmx \
	--enable-mmx \
	--enable-xvid \
	--enable-x264 \
	--enable-libdv \
	--enable-libquicktime \
	--enable-libpostproc \
	--enable-lzo \
	--enable-text \
	--enable-theora \
	--enable-v4l \
	--enable-faac \
        --enable-imagemagick \
        --with-magick-mods 
make

%install
rm -rf $RPM_BUILD_ROOT
make -j1 install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
%doc %_docdir/%{name}/*
%_bindir
%_libdir/%name
%_mandir
%_datadir/transcode

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Mar 09 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.1.0cvs-6
- rebuilt against libdc1394 2.0.1, ffmpeg0.49pre1-20080309
* Sat Mar 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.1.0cvs-5
- rebuilt against ImageMagick 6.3.9.3
* Thu Jan 03 2008 Stefan Gottwald <gotti@ccux-linux.de> 1.1.0cvs-4
- Version Update to CVS Version 2008-01-03
* Sun Nov 04 2007 Stefan Gottwald <gotti@ccux-linux.de> 1.1.0cvs-3
- Version Update to CVS Version 2007-11-04	
* Sat Aug 05 2007 Stefan Gottwald <gotti@ccux-linux.de> 1.1.0cvs-2
- Version Update to CVS Version 2007-08-05
* Sat Mar 10 2007 Stefan Gottwald <gotti@ccux-linux.de> 1.1.0cvs-1
- Version Update to CVS Version 2007-03-24
* Sat Nov 25 2006 Stefan Gottwald <gotti@ccux-linux.de> 1.0.2-5
- Version Update to CVS Version 2006-11-25
* Mon Oct 02 2006 Stefan Gottwald <gotti@ccux-linux.de> 1.0.2-4
- Version Update to CVS Version 2006-10-02
* Wed Sep 13 2006 Stefan Gottwald <gotti@ccux-linux.de> 1.0.2-3
- Version Update to CVS Version 2006-09-13
* Sat Aug 26 2006 Stefan Gottwald <gotti@ccux-linux.de> 1.0.2-2
- Version Update to CVS Version
* Wed Dec 07 2005 Karsten Brockmann <arcam@ccux-linux.de> 1.0.2-1
- Version Update, added BuildRequires, disabled ImageMagick support
  (fixes lockup in dvd::rip)
* Fri Oct 07 2005 Christian Wasem <wasem@ccux-linux.de> 1.0.1-1
- Version update
* Mon Sep 12 2005 Christian Wasem <wasem@ccux-linux.de> 1.0.0-3
- rebuild for new Version of ImageMagick
* Sun Sep 04 2005 Christian Wasem <wasem@ccux-linux.de> 1.0.0-2
- rebuild for new ImageMagick, tweaked up the specfile
* Mon Aug 08 2005 Christian Metzen <metzench@ccux-linux.de> 1.0.0-1
- Version update
* Sat Jan 15 2005 Christian Metzen <metzench@ccux-linux.de> 0.6.14-2
- Recompilation against New Avifile/xvid4
* Sat Jan 15 2005 Christian Metzen <metzench@ccux-linux.de> 0.6.14-1
- Version Update to 0.6.14
* Tue Nov 2 2004 Christian Wasem <wasem@ccux-linux.de> 0.6.13-1
- Version Update to 0.6.13
